### Struct

# Qmi MessageWmsSetRoutesInput

since: 1.0

#### Description [src]

    struct QmiMessageWmsSetRoutesInput {
      /* No available fields */
    }

The `QmiMessageWmsSetRoutesInput` structure contains private data and should only be accessed using the provided API.

Available since: 1.0

#### Constructors

###### qmi_message_wms_set_routes_input_new

Allocates a new `QmiMessageWmsSetRoutesInput`.

since: 1.0

#### Instance methods

###### qmi_message_wms_set_routes_input_get_route_list

Get the ‘Route List’ field from `self`.

since: 1.0

###### qmi_message_wms_set_routes_input_get_route_list_gir

Get the ‘Route List’ field from `self`.

since: 1.32

###### qmi_message_wms_set_routes_input_get_transfer_status_report

Get the ‘Transfer Status Report’ field from `self`.

since: 1.0

###### qmi_message_wms_set_routes_input_ref

Atomically increments the reference count of `self` by one.

since: 1.0

###### qmi_message_wms_set_routes_input_set_route_list

Set the ‘Route List’ field in the message.

since: 1.0

###### qmi_message_wms_set_routes_input_set_route_list_gir

Set the ‘Route List’ field in the message.

since: 1.32

###### qmi_message_wms_set_routes_input_set_transfer_status_report

Set the ‘Transfer Status Report’ field in the message.

since: 1.0

###### qmi_message_wms_set_routes_input_unref

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

since: 1.0